<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping http://doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
  <entity name="Repairs" table="repairs">
    <indexes>
      <index name="IDX_57E93B619A67DB00" columns="mechanic_id"/>
      <index name="car" columns="car_id"/>
    </indexes>
    <id name="id" type="integer" column="id">
      <generator strategy="IDENTITY"/>
    </id>
    <field name="name" type="string" column="name" length="255" nullable="true">
      <options>
        <option name="fixed"/>
      </options>
    </field>
    <field name="mileage" type="integer" column="mileage" nullable="true">
      <options>
        <option name="unsigned"/>
      </options>
    </field>
    <field name="description" type="text" column="description" length="65535" nullable="true">
      <options>
        <option name="fixed"/>
      </options>
    </field>
    <field name="createdAt" type="datetime" column="created_at" nullable="false"/>
    <field name="updatedAt" type="datetime" column="updated_at" nullable="true"/>
    <field name="enabled" type="boolean" column="enabled" nullable="false">
      <options>
        <option name="default">1</option>
      </options>
    </field>
    <many-to-one field="car" target-entity="Cars" fetch="LAZY">
      <join-columns>
        <join-column name="car_id" referenced-column-name="id"/>
      </join-columns>
    </many-to-one>
    <many-to-one field="mechanic" target-entity="Mechanic" fetch="LAZY">
      <join-columns>
        <join-column name="mechanic_id" referenced-column-name="id"/>
      </join-columns>
    </many-to-one>
  </entity>
</doctrine-mapping>
